org.apache.sling.scripting.thymeleaf.internal.dialect

## Class SlingDialect

- java.lang.Object
- - org.thymeleaf.dialect.AbstractDialect
  - - org.thymeleaf.dialect.AbstractProcessorDialect
    - - org.apache.sling.scripting.thymeleaf.internal.dialect.SlingDialect

All Implemented Interfaces:
  org.thymeleaf.dialect.IDialect, org.thymeleaf.dialect.IProcessorDialect

    public final class SlingDialect
    extends org.thymeleaf.dialect.AbstractProcessorDialect

### Field Summary

Fields
`static String` `NAME`
`static String` `PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`SlingDialect()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<org.thymeleaf.processor.IProcessor>` `getProcessors(String prefix)`

### Methods inherited from class org.thymeleaf.dialect.AbstractProcessorDialect

`getDialectProcessorPrecedence, getPrefix`

### Methods inherited from class org.thymeleaf.dialect.AbstractDialect

`getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.thymeleaf.dialect.IDialect

`getName`

### Field Detail

#### NAME

    public static final String NAME

See Also:
  Constant Field Values

#### PREFIX

    public static final String PREFIX

See Also:
  Constant Field Values

### Constructor Detail

#### SlingDialect

    public SlingDialect()

### Method Detail

#### getProcessors

    public Set<org.thymeleaf.processor.IProcessor> getProcessors(String prefix)